/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCB */
#define  PANEL_INSTR_DESC                 2       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    3       /* control type: radioButton, callback function: (none) */
#define  PANEL_RESET                      4       /* control type: radioButton, callback function: (none) */
#define  PANEL_Q_OFFSET                   5       /* control type: numeric, callback function: (none) */
#define  PANEL_QUAD_OFFSET                6       /* control type: numeric, callback function: (none) */
#define  PANEL_GIMBA_R                    7       /* control type: numeric, callback function: (none) */
#define  PANEL_GIMBA                      8       /* control type: numeric, callback function: (none) */
#define  PANEL_I_OFFSET                   9       /* control type: numeric, callback function: (none) */
#define  PANEL_LEVEL                      10      /* control type: numeric, callback function: (none) */
#define  PANEL_RF_FREQ                    11      /* control type: numeric, callback function: (none) */
#define  PANEL_STOP                       12      /* control type: command, callback function: stopBtn */
#define  PANEL_CONNECT                    13      /* control type: command, callback function: connectBtn */
#define  PANEL_APPLY                      14      /* control type: command, callback function: applyBtn */
#define  PANEL_DECORATION_5               15      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_4               16      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_3               17      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_2               18      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION                 19      /* control type: deco, callback function: (none) */
#define  PANEL_TEXTMSG                    20      /* control type: textMsg, callback function: (none) */
#define  PANEL_RF_OUT                     21      /* control type: binary, callback function: (none) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK applyBtn(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK connectBtn(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCB(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopBtn(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
